This returns all the event participations of the contact with the given contact-ID. Currently all participations within the last and the next three months are returned.
curl -X GET "https://api.example.com/restapi/v1/participations/search/cid/123/42" \
-H "Content-Type: application/json"
import requests
import json
url = "https://api.example.com/restapi/v1/participations/search/cid/123/42"
headers = {
"Content-Type": "application/json"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://api.example.com/restapi/v1/participations/search/cid/123/42", {
method: "GET",
headers: {
"Content-Type": "application/json"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://api.example.com/restapi/v1/participations/search/cid/123/42", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.example.com/restapi/v1/participations/search/cid/123/42')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Content-Type'] = 'application/json'
response = http.request(request)
puts response.body
[
{
"date": "example_string",
"eventName": "John Doe",
"partId": 123,
"dateId": 123,
"articleNo": "example_string",
"partStatus": "example_string"
}
]
{
"error": "Bad Request",
"message": "The request contains invalid parameters or malformed data",
"code": 400,
"details": [
{
"field": "email",
"message": "Invalid email format"
}
]
}
{
"error": "Error",
"message": "Method not allowed",
"code": 405
}
GET
/participations/search/cid/{contactId}/{searchPeriod}GET
Base URLstring
Target server for requests. Edit to use your own host.
path
contactIdinteger
RequiredID of the contact, for which the event participations are returned.
path
searchPeriodinteger
RequiredParticipations in the time interval today +/- searchPeriod months are returned.
Request Preview
Response
Response will appear here after sending the request
Path Parameters
contactIdinteger
RequiredID of the contact, for which the event participations are returned.
searchPeriodinteger
RequiredParticipations in the time interval today +/- searchPeriod months are returned.
Responses
datestring
eventNamestring
partIdinteger
dateIdinteger
articleNostring
partStatusstring
Was this page helpful?